> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailerfuse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a single email

> Validates an email and returns details about its status, including checks and score.



## OpenAPI

````yaml POST /email/verify
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.mailerfuse.com
security:
  - bearerAuth: []
paths:
  /email/verify:
    post:
      summary: Validate an email address
      description: >-
        Validates an email and returns details about its status, including
        checks and score.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  example: test@example.com
              required:
                - email
      responses:
        '200':
          description: Successfully validated email
          content:
            application/json:
              schema:
                type: object
                properties:
                  email:
                    type: string
                    example: test@example.com
                  status:
                    type: string
                    enum:
                      - deliverable
                      - risky
                      - undeliverable
                    example: deliverable
                  score:
                    type: integer
                    minimum: 0
                    maximum: 100
                    example: 85
                  syntax_error:
                    type: boolean
                    example: false
                  gibberish:
                    type: boolean
                    example: false
                  role:
                    type: boolean
                    example: false
                  did_you_mean:
                    type: string
                    nullable: true
                    example: test@google.com
                  disposable:
                    type: boolean
                    example: false
                  domain_status:
                    type: string
                    example: active
                  mx_record:
                    type: boolean
                    example: true
                  workspace_id:
                    type: string
                    example: abc123
        '400':
          description: Bad request (missing required fields)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Missing required fields
        '401':
          description: Unauthorized (API key missing)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: API key is missing
        '403':
          description: Forbidden (Insufficient credits)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Not enough credits
                  error_code:
                    type: string
                    example: INSUFFICIENT_CREDITS
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Database connection failed
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````